Skip to content

Create vehicle

POST
/policyholders/{id}/vehicles

Register a new vehicle for a client. Required fields: make, model, yearOfManufacture, registrationNumber, chassisNumber, engineNumber, motorRiskCategoryId.

Authorizations

BearerAuth
Type
HTTP (bearer)

Parameters

Path Parameters

id*

Client ID

Type
string
Required

Request Body

application/json
JSON
[
  
{
  
  
"make": "Toyota",
  
  
"model": "Hilux",
  
  
"yearOfManufacture": 2020,
  
  
"capacity": 1950,
  
  
"tonnage": 0,
  
  
"seatingCapacity": 5,
  
  
"photosUrls": [
  
  
  
"string"
  
  
],
  
  
"registrationNumber": "BCC1234",
  
  
"chassisNumber": "string",
  
  
"engineNumber": "string",
  
  
"color": "string",
  
  
"sumInsured": 0,
  
  
"motorRiskCategoryId": "string",
  
  
"riskCategoryName": "Private Car"
  
}
]

Responses

Vehicle created

application/json
JSON
{
  
"id": "string",
  
"make": "string",
  
"model": "string",
  
"yearOfManufacture": 0,
  
"registrationNumber": "string",
  
"chassisNumber": "string",
  
"engineNumber": "string",
  
"capacity": 0,
  
"tonnage": 0,
  
"seatingCapacity": 0,
  
"sumInsured": 0,
  
"color": "string",
  
"photosUrls": [
  
  
"string"
  
]
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Built with ❤️ by Hobbiton Technologies